Skip to main content
Trade flow analysis, route shifts, and destination deceptions.

GET /api/v1/routes/flows

Trade route flows between ports with tonnage and market share. Parameters
NameTypeRequiredDescription
originstringOrigin port ID
destinationstringDestination port ID
weekstringWeek start date (ISO)
commoditystringCommodity filter
limitnumberDefault 100, max 500
Response
{ "flows": [...] }
Example
curl -X GET \
  https://axiomoverwatch.io/api/v1/routes/flows?origin=VALUE&destination=VALUE

GET /api/v1/routes/shifts

Detected trade route shifts and deviations. Parameters
NameTypeRequiredDescription
severitystring’moderate’ | ‘high’ | ‘critical’
originstringOrigin port ID
commoditystringCommodity filter
limitnumberDefault 100, max 500
Response
{ "shifts": [...] }
Example
curl -X GET \
  https://axiomoverwatch.io/api/v1/routes/shifts?severity=VALUE&origin=VALUE

GET /api/v1/routes/deceptions

Vessels whose actual destination didn’t match declared destination. Parameters
NameTypeRequiredDescription
vesselstringIMO number
suspiciousstring’true’ | ‘false’
actual_portstringActual port ID
limitnumberDefault 100, max 500
Response
{ "deceptions": [...] }
Example
curl -X GET \
  https://axiomoverwatch.io/api/v1/routes/deceptions?vessel=VALUE&suspicious=VALUE